# Network Tokens Events

#### Network Tokens Provisioning Errors

| Network    | Status/Error Code                           | Description                                                                                                                                            |
| ---------- | ------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Visa       | 400 - InvalidParameter                      | These declines means that Visa declined it before sending to issuer because the PAN information is invalid.                                            |
| Visa       | 400 - card\_enrollment\_failed              | Invalid payment instrument or data associated with the payment instrument; Invalid input to pan/expiry date.                                           |
| Visa       | 403- card\_not\_allowed                     | Card cannot be used for tokenization at this moment. Please try again later. Something is wrong with the PAN itself. The PAN was expired for instance. |
| Visa       | 403 - declined                              | This card is not eligible for tokenization at this moment with the Network; Retry at a later time.                                                     |
| Visa       | 409 - declined                              | No further operations are allowed. Contact bank                                                                                                        |
| Visa       | 500 -Service Unavailable                    | Downstream service unavailable; retry later.                                                                                                           |
| Visa       | 503 -notReady                               | The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.                                      |
| Mastercard | <p>400 -</p><p>card\_enrollment\_failed</p> | Invalid payment instrument or data associated with the payment instrument; Invalid input to pan/expiry                                                 |
| Mastercard | 403 -rejected                               | This card is not eligible for tokenization at this moment with the Network; Retry later.                                                               |
| Mastercard | 503 -Service Unavailable                    | Downstream service unavailable; retry later                                                                                                            |
| Mastercard | 503 -Service Unavailable                    | Downstream service unavailable; retry later                                                                                                            |

#### Network Tokens Crypto Fetch Network Errors

| Network    | Status/Error Code      | Description                                                                                                                                  |
| ---------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| Visa       | 403 - declined         | This card is not eligible for tokenization at this moment with the Network; Retry at a later time.                                           |
| Visa       | 409 - declined         | No further operations are allowed. Contact bank                                                                                              |
| Visa       | 400 - rejected         | Invalid payment instrument or data associated with the payment instrument; Invalid input to pan/expiry date.                                 |
| Mastercard | 400 invalid\_argument  | Incorrect/missing fields or values.                                                                                                          |
| Mastercard | 401 - cannot\_be\_null | The request contains card type, but the card type does not correspond with the card number (e.g. card type = Visa; card number = MasterCard) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verygoodsecurity.com/cmp/developer-resources/api/card-management-v1-apis-calm/network-tokens-v1/network-tokens-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
